aboutsummaryrefslogtreecommitdiff
path: root/scripts/ci/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/ci/build.sh')
-rwxr-xr-xscripts/ci/build.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/scripts/ci/build.sh b/scripts/ci/build.sh
new file mode 100755
index 000000000..4a92cfd83
--- /dev/null
+++ b/scripts/ci/build.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -e
+
+cd "$(dirname "$0")"/../..
+./bootstrap
+./configure \
+ --host=${TARGET_ARCH} --build=${BUILD_ARCH:-x86_64-linux-gnu} \
+ --enable-dpdk \
+ --prefix=/opt/odp \
+ ${CONF}
+
+make clean
+
+make -j $(nproc)
+
+make install
+
+make installcheck